/*
 * $Date: $
 * $Source: $
 * $Revision: $
 * $State: $
 *
 * $Log: $
 */

#ifndef _EMU_ENV_H
#define _EMU_ENV_H

#include "emu_defs.h"
#include "env/video.h"

extern void env_phase0_init(void);
extern void env_phase1_init(void);
extern void env_phase1_reset(void);
extern void env_terminate(void);

#define ENV_DECL(e) \
extern Boolean env_##e##_detect(void); \
extern void    env_##e##_phase0_init(void); \
extern void    env_##e##_phase1_init(void); \
extern void    env_##e##_phase1_reset(void); \
extern void    env_##e##_term(void);

/*
 * Declare the list of operating environments
 */

ENV_DECL(X)
ENV_DECL(vga)
ENV_DECL(generic)

/*
 * X-specific things
 */

#ifdef CONFIG_ENV_X
extern void X_change_mouse_cursor(void);
extern void X_blink_cursor(void);
extern void X_handle_events(void);
#endif

#endif /* _EMU_ENV_H */

